/* meshplot.c, Febrauary 2, 2002 */

#include "epix.h"

#define N 24
#define r 1

double f(double u, double v)
{
  return exp(-u)*sin(2*M_PI*v);
}

main() 
{
  unitlength("1pt");
  bounding_box(P(-1,-2), P(1,2));
  picture(P(200,150));

  viewpoint(0.2,-0.0475,0.05);
  //  viewpoint(1, 2, 0.5);

  begin();

  meshplot(f, P(-0.5*r, -r), P(3*r, r), N, 2*N);

  bold();
  //  red();
  arrow(V(0,0,0), V(4*r,0,0));
  h_axis(V(0,0,0), V(3,0,0), 3);
  //  end_red();
  label(V(4.5*r,0,0), P(4,-6), "$x$");

  //  red();
  arrow(V(0,0.625*r,0), V(0,1.25*r,0));
  h_axis(V(0,0.75,0), V(0,1,0), 1);
  //  end_red();
  label(V(0,1.25*r,0), P(4,-4), "$y$");

  //  red();
  arrow(V(0,0,0), V(0,0,2*r));
  v_axis(V(0,0,0), V(0,0,1.5), 3);
  //  end_red();
  label(V(0,0,2*r), P(-4,6), "$z$");
  end_bold();

  label(V(0,0.5,1), P(0,0), "$z=e^{-x}\\sin2\\pi y$");
  end();
}

