/*
 * tutorial.c   Andrew D. Hwang <ahwang@mathcs.holycross.edu>
 * 
 * July 22, 2001
 */

#include "epix.h"

double pic_size=1;
char *pic_unit="pt";

double x_min=-4, x_max=4, y_min=-2, y_max=2;
double h_size=360, v_size=180, h_offset=0, v_offset=0;

double cos2(double t)
{
  return 1-(1.0/2.0)*t*t;
}
double cos4(double t)
{
  return 1-(1.0/2.0)*t*t+(1.0/24.0)*pow(t,4);
}

main()
{
  begin();

  h_axis(P(x_min, 0), P(x_max, 0), x_max - x_min);
  v_axis(P(0, y_min), P(0, y_max), y_max - y_min);

  h_axis_labels(P(x_min, 0), P(x_max, 0), 4, P(-8,-11));
  v_axis_labels(P(0, y_min), P(0, y_max), 2, P(-8,-11));

  label(P(-1.75,-1), P(0,0), "$y=1-\\frac{1}{2!}x^2$");
  label(P(3, -1.35), P(0,0), "$y=\\cos x$");
  label(P(-3.25, 1), P(0,0), \
        "$y=1-\\frac{1}{2!}x^2+\\frac{1}{4!}x^4$");

  boldplot(cos, x_min, x_max, 60);
  dashclipplot(cos2, x_min, x_max, 60);
  dashclipplot(cos4, x_min, x_max, 60);

  end();
}
